Bug 62016 - apacheconf RPM missing dependencies
apacheconf RPM missing dependencies
Product: Red Hat Linux
Classification: Retired
Component: apacheconf (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Brian Brock
: 62021 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-03-26 15:20 EST by Stephen Samuel
Modified: 2013-04-02 00:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-11 03:54:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Samuel 2002-03-26 15:20:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8+) Gecko/20020227

Description of problem:
the apacheconf RPM is missing (at least) two dependencies:
4Suite is missing as a dependency
XFree86 is missing as a dependency

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install apacheconf on a (headless box) with XFree86-libs but without XFree86
(or remove XFree86 from a box)
2.remove (or do not install 4Suite)
3.ssh to headless box
4.Try running apache

Actual Results:  If you run without XFree86, you will not be able to
authenticate the connection (Xauth is part of XFree86)

If you run without 4Suite, it fails to find xml.xslt.processor.py

Expected Results:  Either RPM should complain about missing dependencies or
apacheconf should run.

Additional info:

XFree86 is not a strict dependency You <b> can</b> run apacheconf
(remotely only) without it but this is ONLY possible if you use the
(insecure) 'xhost + ' authentication method (which should, at the least, be
soundly discouraged for a system tool like apacheconf).

Running apacheconf locally would, of course, require XFree86 to be installed

In truth, what's actually required is simply Xauth .. I think that it may be
most appropriate to include Xauth with the XFree86 libs -- since (in any secure
usage of X) it's required -- even for headless installs where the XFree86
binaries are (otherwise) not necessary.

The movement of xauth from XFree86 to XFree86-libs may be most appropriately
done in the 7.3 (beta.)
Comment 1 Jonathan Blandford 2002-03-27 17:20:47 EST
*** Bug 62021 has been marked as a duplicate of this bug. ***
Comment 2 Jonathan Blandford 2002-04-10 11:36:50 EDT
Adding 4Suite dependency.  There's no need to require X, as it requires pygtk.
Comment 3 Stephen Samuel 2002-04-11 03:54:13 EDT
Could xauth (and xhost) be moved to XFree86-libs? It groups necessary
functionality more appropriately. I think that this is generally more
appropriate, and it should not cause any problems with XFree86, since it's
already dependent on XFree86-libs.
Comment 4 Jonathan Blandford 2002-04-15 15:55:36 EDT
Fixed 4Suite issue.  The remote issue is different, and not entirely correct. 
Authentication is done on the server, so it's not necessary to have xhost on the
machine apacheconf is on.

Note You need to log in before you can comment on or make changes to this bug.